Page MenuHomePhabricator

[Toolhub Milestone 0] Write up summary of Toolhub for public consumption
Closed, ResolvedPublic

Description

Any talk of the specific technical solutions needed is probably premature. I apologize for leading the discussion in that direction myself as few posts above. In my experience these discussion quickly devolve into experienced insiders debating the relative merits of existing solutions instead of discussing who the audience is and what their needs are. See past threads for examples:

The real place to start if we want a different outcome is with someone taking on the role of Product Owner and doing the initial work of describing the general problems that should be addressed and how solving those problems will result in a net positive change for the Wikimedia movement. We need to know what problem we are trying to solve and who we are trying to solve it for before deciding on the technical details of how to actually produce the desired result.

Event Timeline

bd808 triaged this task as Normal priority.Dec 18 2017, 4:22 AM
bd808 created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2017, 4:22 AM
bd808 assigned this task to Harej.Jan 2 2018, 5:42 PM
Harej added a comment.Feb 3 2018, 3:19 AM

Is there a specific deliverable you would like to see for this task? I've already written up something as part of my research process; I could probably clean it up and put it on a wiki somewhere?

I'm not 100% certain what the "right" document is, but I imagine it is something like a collection of use cases and some sort of strawdog roadmap of what order they should be addressed in.

Harej renamed this task from Document audiences and use cases for a Wikimedia Tools catalog to [Milestone 2] Define preliminary roadmap for tools catalog.Feb 7 2018, 3:15 AM
Harej renamed this task from [Milestone 2] Define preliminary roadmap for tools catalog to [Catalog Milestone 2] Define preliminary roadmap for tools catalog.Mar 19 2018, 10:22 PM
Harej renamed this task from [Catalog Milestone 2] Define preliminary roadmap for tools catalog to Write up summary of tool catalog for public consumption.Mar 21 2018, 9:28 PM
Harej moved this task from Backlog to In Progress on the Toolhub board.
Harej added a comment.Mar 21 2018, 9:33 PM

(Narrowing the scope of this task to be about the write-up and not dependent on certain details being set in stone.)

Harej renamed this task from Write up summary of tool catalog for public consumption to [Toolhub Milestone 0] Write up summary of Toolhub for public consumption.Mar 29 2018, 12:38 AM

For everyone's reading pleasure: https://meta.wikimedia.org/wiki/Toolhub

That page also links to these more detailed pages:

They're probably not perfect. Please suggest edits.

Harej moved this task from In Progress to Review on the Toolhub board.Mar 31 2018, 11:25 PM
Harej closed this task as Resolved.Apr 9 2018, 10:08 PM